@echo off

REM ; If you not run this plugin with the environment variable ORACLE_SID set,
REM ; you can uncomment (Remove the "REM " prefix) the line below to
REM ; use e.g. "localhost" as oracle sid.
REM SET ORACLE_SID=localhost

REM ; If you like to use a special auth parameter please change the line below
SET AUTH=/ as sysdba
SET NLS_LANG=american_america.AL32UTF8

echo ^<^<^<oracle_health_processusage^>^>^>
(echo.|set /p x=%ORACLE_SID% )
(
echo set cmdsep on
echo set cmdsep '"'; --"
echo "set pages 0"
echo "set lines 8000"
echo "set feedback off"
echo "set head off"
echo "column instance format a15"
echo "column limit_value format a50"
echo "select th.instance, limit_value, current_utilization, round(current_utilization/limit_value*100,2) FROM v$resource_limit  ,v$thread th WHERE resource_name LIKE '%%processes%%';"
) | sqlplus -S %AUTH%

echo ^<^<^<oracle_health_flash_recovery_area^>^>^>
(echo.|set /p x=%ORACLE_SID%)
(
echo set cmdsep on
echo set cmdsep '"'; --"
echo "set pages 0"
echo "set lines 8000"
echo "set feedback off"
echo "set head off"
echo "column instance format a10"
echo "column name format a50"
echo "select th.instance, name, round(SPACE_LIMIT/1024/1024,0), round(SPACE_USED/1024/1024,0), round((SPACE_LIMIT - SPACE_USED + SPACE_RECLAIMABLE)/1024/1024,0), round(SPACE_RECLAIMABLE/1024/1024,0), round((SPACE_USED - SPACE_RECLAIMABLE)/SPACE_LIMIT * 100, 2) from v$recovery_file_dest, v$thread th;"
) | sqlplus -S %AUTH%
