<?php
# +------------------------------------------------------------------+
# |             ____ _               _        __  __ _  __           |
# |            / ___| |__   ___  ___| | __   |  \/  | |/ /           |
# |           | |   | '_ \ / _ \/ __| |/ /   | |\/| | ' /            |
# |           | |___| | | |  __/ (__|   <    | |  | | . \            |
# |            \____|_| |_|\___|\___|_|\_\___|_|  |_|_|\_\           |
# |                                                                  |
# | Copyright Mathias Kettner 2012             mk@mathias-kettner.de |
# +------------------------------------------------------------------+
#
# This file is part of Check_MK.
# The official homepage is at http://mathias-kettner.de/check_mk.
#
# check_mk is free software;  you can redistribute it and/or modify it
# under the  terms of the  GNU General Public License  as published by
# the Free Software Foundation in version 2.  check_mk is  distributed
# in the hope that it will be useful, but WITHOUT ANY WARRANTY;  with-
# out even the implied warranty of  MERCHANTABILITY  or  FITNESS FOR A
# PARTICULAR PURPOSE. See the  GNU General Public License for more de-
# ails.  You should have  received  a copy of the  GNU  General Public
# License along with GNU Make; see the file  COPYING.  If  not,  write
# to the Free Software Foundation, Inc., 51 Franklin St,  Fifth Floor,
# Boston, MA 02110-1301 USA.

# Perfomance data from check:
# usage_percent=14.00;80;90;; usage=23;125;300;;

# Grahp 1: usage_percent
$title = str_replace("_", " ", $servicedesc);
$ds_name[1] = 'Process Usage in percent';
$opt[1] = "--vertical-label 'process usage [%]' -l0 -u $CRIT[1] --title \"$title\" ";

$def[1] = "DEF:usage_percent=$RRDFILE[1]:$DS[1]:MAX ";
$def[1] .= "AREA:usage_percent#00ff48: ";
$def[1] .= "LINE:usage_percent#008f38: ";
$def[1] .= "GPRINT:usage_percent:LAST:\"last\: %3.2lf %%\" ";
$def[1] .= "GPRINT:usage_percent:AVERAGE:\"avg\: %3.2lf %%\" ";
$def[1] .= "GPRINT:usage_percent:MAX:\"max\: %3.2lf %%\" ";
$def[1] .= "HRULE:$WARN[1]#ffcf00:\"Warning at $WARN[1] %\" ";
$def[1] .= "HRULE:$CRIT[1]#ff0000:\"Critical at $CRIT[1] %\" ";

# Grahp 2: usage
$ds_name[2] = 'Used Processes';
$opt[2] = "--vertical-label 'processes' -l0 --title \"$title\" ";
$def[2] = "DEF:usage=$RRDFILE[2]:$DS[2]:MAX ";
$def[2] .= "AREA:usage#00ff48: ";
$def[2] .= "LINE:usage#008f38: ";
$def[2] .= "GPRINT:usage:LAST:\"last\: %3.0lf\" ";
$def[2] .= "GPRINT:usage:AVERAGE:\"avg\: %3.0lf\" ";
$def[2] .= "GPRINT:usage:MAX:\"max\: %3.0lf\" ";
$def[2] .= "HRULE:$WARN[2]#ffcf00:\"Warning at $WARN[2]\" ";
$def[2] .= "HRULE:$CRIT[2]#ff0000:\"Critical at $CRIT[2]\" ";
?>
