#!/usr/bin/python
#
# Author: marco.lenhardt@ontec.at
#
# This file is part of the  oracle_health plugin


register_check_parameters(
    subgroup_applications,
    "oracle_health_processusage",
    _("Oracle Process Usage"),
     Tuple(
         title = _("Limits for the Oracle process usage"),
         elements = [
             Percentage(title = _("Warning above"),  allow_int = True, default_value = 80),
             Percentage(title = _("Critical above"), allow_int = True, default_value = 90),
         ]
     ),
     TextAscii(
         title = _("Database name"),
         allow_empty = False),
     None)


register_check_parameters(
    subgroup_applications,
    "oracle_health_flash_recovery_area",
    _("Oracle FRA Usage"),
    Tuple(
        title = _("Limits for the Oracle flash recovery area usage"),
        elements = [
            Percentage(title = _("Warning above"),  allow_int = True, default_value = 60),
            Percentage(title = _("Critical above"), allow_int = True, default_value = 70),
        ]
    ),
    TextAscii(
        title = _("Database name"),
        allow_empty = False),
    None)
